--[[
Producer - a framework for World of Warcraft professions

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to:
	
Free Software Foundation, I.,
51 Franklin Street, Fifth Floor,
Boston, MA  02110-1301, USA.
--]]

local AL = LibStub('AceLocale-3.0')

do
	local L = AL:NewLocale( 'ProducerPosition', 'enUS', true)
	L["Bags"] = true
	L["Battle Elixir"] = true
	L["Cloth"] = true
	L["Coining"] = true
	L["Dagger"] = true
	L["Devices"] = true
	L["Elixir"] = true
	L["Enchanting"] = true
	L["Explosives"] = true
	L["Flask"] = true
	L["Gem Blue"] = true
	L["Gem Green"] = true
	L["Gem Meta"] = true
	L["Gem Orange"] = true
	L["Gem Purple"] = true
	L["Gem Red"] = true
	L["Gem Yellow"] = true
	L["Guardian Elixir"] = true
	L["Guns"] = true
	L["Healing"] = true
	L["Healing & Mana"] = true
	L["Holiday"] = true
	L["Item Enhancements"] = true
	L["Leather"] = true
	L["Mana"] = true
	L["Metal & Stone"] = true
	L["Miscellaneous"] = true
	L["One-Hand"] = true
	L["Parts"] = true
	L["Pets"] = true
	L["Polearms"] = true
	L["Potion"] = true
	L["Prismatic"] = true
	L["Protection"] = true
	L["Slot Belt"] = true
	L["Slot Boots"] = true
	L["Slot Bracers"] = true
	L["Slot Chest"] = true
	L["Slot Cloak"] = true
	L["Slot Finger"] = true
	L["Slot Gloves"] = true
	L["Slot Head"] = true
	L["Slot Neck"] = true
	L["Slot Pants"] = true
	L["Slot Shield"] = true
	L["Slot Shirt"] = true
	L["Slot Shoulders"] = true
	L["Slot Trinket"] = true
	L["Slot Wands"] = true
	L["Thrown"] = true
	L["Transmute"] = true
	L["Two-Hand"] = true
	L["Weapon"] = true
	L["Position"] = true
end

do
	local L = AL:NewLocale( 'ProducerPosition', 'deDE')
	if L then
		L["Bags"] = "Behälter"
		L["Battle Elixir"] = "Kampfelixier"
		L["Cloth"] = "Stoff"
		L["Coining"] = "Prägen"
		L["Dagger"] = "Dolch"
		L["Devices"] = "Geräte"
		L["Elixir"] = "Elixier"
		L["Enchanting"] = "Verzauberkunst"
		L["Explosives"] = "Sprengstoff"
		L["Flask"] = "Fläschchen"
		L["Gem Blue"] = "Juwel Blau"
		L["Gem Green"] = "Juwel Grün"
		L["Gem Meta"] = "Juwel Meta"
		L["Gem Orange"] = "Juwel Orange"
		L["Gem Purple"] = "Juwel Violett"
		L["Gem Red"] = "Juwel Rot"
		L["Gem Yellow"] = "Juwel Gelb"
		L["Guardian Elixir"] = "Wächterelixier"
		L["Guns"] = "Schusswaffen"
		L["Healing"] = "Heilung"
		L["Healing & Mana"] = "Heilung & Mana"
		L["Holiday"] = "Festtag"
		L["Item Enhancements"] = "Gegenstandsverbesserung"
		L["Leather"] = "Leder"
		L["Mana"] = "Mana"
		L["Metal & Stone"] = "Metall & Stein"
		L["Miscellaneous"] = "Verschiedenes"
		L["One-Hand"] = "Einhand"
		L["Parts"] = "Teile"
		L["Pets"] = "Begleiter"
		L["Polearms"] = "Stangenwaffen"
		L["Potion"] = "Tränke"
		L["Prismatic"] = "Prismatisch"
		L["Protection"] = "Schutz"
		L["Slot Belt"] = "Slot Gürtel"
		L["Slot Boots"] = "Slot Stiefel"
		L["Slot Bracers"] = "Slot Armschienen"
		L["Slot Chest"] = "Slot Brust"
		L["Slot Cloak"] = "Slot Umhang"
		L["Slot Finger"] = "Slot Finger"
		L["Slot Gloves"] = "Slot Handschuhe"
		L["Slot Head"] = "Slot Kopf"
		L["Slot Neck"] = "Slot Hals"
		L["Slot Pants"] = "Slot Hosen"
		L["Slot Shield"] = "Slot Schild"
		L["Slot Shirt"] = "Slot Hemd"
		L["Slot Shoulders"] = "Slot Schultern"
		L["Slot Trinket"] = "Slot Schmuck"
		L["Slot Wands"] = "Slot Zauberstab"
		L["Thrown"] = "Wurfwaffe"
		L["Transmute"] = "Transmutieren"
		L["Two-Hand"] = "Zweihand"
		L["Weapon"] = "Waffe"
		L["Position"] = "Position"
	end
end

do
	local L = AL:NewLocale( 'ProducerPosition', 'frFR')
	if L then
		L["Bags"] = "Sacs"
		L["Battle Elixir"] = "Élixirs de bataille"
		L["Cloth"] = "Tissu"
		L["Coining"] = "Frapper la monnaie"
		L["Dagger"] = "Dagues"
		L["Devices"] = "Equipements"
		L["Elixir"] = "Élixirs"
		L["Enchanting"] = "Enchantements"
		L["Explosives"] = "Explosifs"
		L["Flask"] = "Flacons"
		L["Gem Blue"] = "Gemmes bleues"
		L["Gem Green"] = "Gemmes vertes"
		L["Gem Meta"] = "Méta-gemmes"
		L["Gem Orange"] = "Gemmes oranges"
		L["Gem Purple"] = "Gemmes violettes"
		L["Gem Red"] = "Gemmes rouges"
		L["Gem Yellow"] = "Gemmes jaunes"
		L["Guardian Elixir"] = "Élixirs du gardien"
		L["Guns"] = "Armes"
		L["Healing"] = "Soins"
		L["Healing & Mana"] = "Soins & Mana"
		L["Holiday"] = "Vacances"
		L["Item Enhancements"] = "Améliorations d'objet"
		L["Leather"] = "Cuir"
		L["Mana"] = "Mana"
		L["Metal & Stone"] = "Métal & pierre"
		L["Miscellaneous"] = "Divers"
		L["One-Hand"] = "Une main"
		L["Parts"] = "Encres"
		L["Pets"] = "Familiers"
		L["Polearms"] = "Armes d'hast"
		L["Potion"] = "Potions"
		L["Prismatic"] = "Prismatiques"
		L["Protection"] = "Protection"
		L["Slot Belt"] = "Ceinture"
		L["Slot Boots"] = "Bottes"
		L["Slot Bracers"] = "Brassards"
		L["Slot Chest"] = "Torse"
		L["Slot Cloak"] = "Cape"
		L["Slot Finger"] = "Doigt"
		L["Slot Gloves"] = "Gants"
		L["Slot Head"] = "Tête"
		L["Slot Neck"] = "Cou"
		L["Slot Pants"] = "Jambes"
		L["Slot Shield"] = "Bouclier"
		L["Slot Shirt"] = "Chemise"
		L["Slot Shoulders"] = "Epaules"
		L["Slot Trinket"] = "Bijou"
		L["Slot Wands"] = "Baguettes"
		L["Thrown"] = "Armes de jet"
		L["Transmute"] = "Transmutations"
		L["Two-Hand"] = "Deux mains"
		L["Weapon"] = "Arme"
		L["Position"] = "Position"
	end
end

do
	local L = AL:NewLocale( 'ProducerPosition', 'esES')
	if L then
		L["Battle Elixir"] = "Elixir de Batalla"
		L["Cloth"] = "Tela"
		L["Dagger"] = "Daga"
		L["Elixir"] = "Elixir"
		L["Flask"] = "Frasco"
		L["Guardian Elixir"] = "Elixir de Guardián"
		L["Healing"] = "Sanación"
		L["Healing & Mana"] = "Sanación & Maná"
		L["Leather"] = "Cuero"
		L["Mana"] = "Maná"
		L["Polearms"] = "Armas de Asta"
		L["Potion"] = "Poción"
		L["Protection"] = "Protección"
		L["Slot Belt"] = "Cinturón"
		L["Slot Boots"] = "Botas"
		L["Slot Bracers"] = "Brazales"
		L["Slot Chest"] = "Pecho"
		L["Slot Cloak"] = "Capa"
		L["Slot Gloves"] = "Guantes"
		L["Slot Head"] = "Cabeza"
		L["Slot Pants"] = "Pantalones"
		L["Slot Shield"] = "Escudo"
		L["Slot Shirt"] = "Camisa"
		L["Slot Shoulders"] = "Hombros"
		L["Thrown"] = "Arma arrojadiza"
		L["Transmute"] = "Transmutar"
		L["Weapon"] = "Arma"
	end
end

do
	local L = AL:NewLocale( 'ProducerPosition', 'esMX')
	if L then
	end
end

do
	local L = AL:NewLocale( 'ProducerPosition', 'ruRU')
	if L then
		L["Bags"] = "Сумки"
		L["Battle Elixir"] = "Боевое эликсиры"
		L["Cloth"] = "Ткань"
		L["Coining"] = "Монеты"
		L["Dagger"] = "Кинжалы"
		L["Devices"] = "Устройства"
		L["Elixir"] = "Эликсиры"
		L["Enchanting"] = "Зачарования"
		L["Explosives"] = "Взрывчатка"
		L["Flask"] = "Фляги"
		L["Gem Blue"] = "Самоцветы: синии"
		L["Gem Green"] = "Самоцветы: зеленые"
		L["Gem Meta"] = "Самоцветы: особые"
		L["Gem Orange"] = "Самоцветы: оранживые"
		L["Gem Purple"] = "Самоцветы: фиолетовые"
		L["Gem Red"] = "Самоцветы: красные"
		L["Gem Yellow"] = "Самоцветы: желтые"
		L["Guardian Elixir"] = "Охранный эликсир"
		L["Guns"] = "Ружья"
		L["Healing"] = "Исцеление"
		L["Healing & Mana"] = "Исцеление и мана"
		L["Holiday"] = "Праздники"
		L["Item Enhancements"] = "Улучшения"
		L["Leather"] = "Кожа"
		L["Mana"] = "Мана"
		L["Metal & Stone"] = "Металл и камень"
		L["Miscellaneous"] = "Разное"
		L["One-Hand"] = "Одноручные"
		L["Parts"] = "Детали"
		L["Pets"] = "Питомцы"
		L["Polearms"] = "Древковое"
		L["Potion"] = "Зелья"
		L["Prismatic"] = "Самоцветы: радужные"
		L["Protection"] = "Защита"
		L["Slot Belt"] = "Область пояса"
		L["Slot Boots"] = "Область ступни"
		L["Slot Bracers"] = "Область запястья"
		L["Slot Chest"] = "Область груди"
		L["Slot Cloak"] = "Область спины"
		L["Slot Finger"] = "Область пальцев"
		L["Slot Gloves"] = "Область кисти рук"
		L["Slot Head"] = "Область головы"
		L["Slot Neck"] = "Область шеи"
		L["Slot Pants"] = "Область ног"
		L["Slot Shield"] = "Область щита"
		L["Slot Shirt"] = "Область рубашки"
		L["Slot Shoulders"] = "Область плечей"
		L["Slot Trinket"] = "Область аксессуаров"
		L["Slot Wands"] = "Область жезлов"
		L["Thrown"] = "Метательное"
		L["Transmute"] = "Трансмутация"
		L["Two-Hand"] = "Двуручные"
		L["Weapon"] = "Оружие"
		L["Position"] = "Позиция"
	end
end

do
	local L = AL:NewLocale( 'ProducerPosition', 'koKR')
	if L then
	end
end

do
	local L = AL:NewLocale( 'ProducerPosition', 'zhCN')
	if L then
		L["Bags"] = "容器"
		L["Battle Elixir"] = "战斗药剂"
		L["Cloth"] = "布料"
		L["Coining"] = "雕饰"
		L["Dagger"] = "匕首"
		L["Devices"] = "装置"
		L["Elixir"] = "药剂"
		L["Enchanting"] = "附魔"
		L["Explosives"] = "爆炸物"
		L["Flask"] = "合剂"
		L["Gem Blue"] = "蓝色"
		L["Gem Green"] = "绿色"
		L["Gem Meta"] = "多彩"
		L["Gem Orange"] = "橙色"
		L["Gem Purple"] = "紫色"
		L["Gem Red"] = "红色"
		L["Gem Yellow"] = "黄色"
		L["Guardian Elixir"] = "守护药剂"
		L["Guns"] = "枪械"
		L["Healing"] = "生命"
		L["Healing & Mana"] = "生命和法力"
		L["Holiday"] = "节日"
		L["Item Enhancements"] = "物品强化"
		L["Leather"] = "皮革"
		L["Mana"] = "法力"
		L["Metal & Stone"] = "金属和矿石"
		L["Miscellaneous"] = "其它"
		L["One-Hand"] = "单手"
		L["Parts"] = "零件"
		L["Pets"] = "宠物"
		L["Polearms"] = "长柄武器"
		L["Potion"] = "药水"
		L["Prismatic"] = "棱彩"
		L["Protection"] = "防护"
		L["Slot Belt"] = "腰部"
		L["Slot Boots"] = "脚"
		L["Slot Bracers"] = "手腕"
		L["Slot Chest"] = "胸部"
		L["Slot Cloak"] = "背部"
		L["Slot Finger"] = "手指"
		L["Slot Gloves"] = "手"
		L["Slot Head"] = "头部"
		L["Slot Neck"] = "颈部"
		L["Slot Pants"] = "腿部"
		L["Slot Shield"] = "盾牌"
		L["Slot Shirt"] = "衬衣"
		L["Slot Shoulders"] = "肩部"
		L["Slot Trinket"] = "饰品"
		L["Slot Wands"] = "远程"
		L["Thrown"] = "投掷"
		L["Transmute"] = "转化"
		L["Two-Hand"] = "双手"
		L["Weapon"] = "武器"
		L["Position"] = "位置"
	end
end

do
	local L = AL:NewLocale( 'ProducerPosition', 'zhTW')
	if L then
	end
end

local L = AL:GetLocale( 'ProducerPosition')
local Producer = LibStub( 'AceAddon-3.0'):GetAddon( 'Producer')
local mod = Producer:NewModule( L["Position"])

-- Producer.Position.Alchemy
mod:RegisterSelection( 'Alchemy', function()
	mod:AddData( 'Alchemy', L['Battle Elixir'],                  '-63732,-60366,-60365,-60357,-60355,-60354,-56519,-54218,-53848,-53847,-53842,-53841,-53840,-39638,-38960,-33741,-33740,-33738,-28570,-28558,-28556,-28553,-28549,-28545,-28544,-26277,-24365,-21923,-17573,-17571,-17557,-17555,-11477,-11476,-11472,-11467,-11461,-11449,-8240,-7845,-3230,-3188,-2333,-2329')
	mod:AddData( 'Alchemy', L['Elixir'],                         '-28552,-28543,-22808,-11478,-11468,-11460,-7179,-3453')
	mod:AddData( 'Alchemy', L['Flask'],                          '-67025,-62213,-54213,-53903,-53902,-53901,-53899,-42736,-28591,-28590,-28589,-28588,-28587,-17638,-17637,-17636,-17635')
	mod:AddData( 'Alchemy', L['Guardian Elixir'],                '-62410,-60367,-60356,-54220,-53898,-39639,-39637,-39636,-28578,-28557,-24368,-17554,-12609,-11466,-11465,-11450,-7183,-3451,-3450,-3177,-3176,-3171,-3170,-2334')
	mod:AddData( 'Alchemy', L['Healing'],                        '-58871,-53838,-53836,-38962,-33732,-28551,-17556,-11457,-7181,-4508,-3447,-2337,-2330')
	mod:AddData( 'Alchemy', L['Healing & Mana'],                 '-53904,-53900,-53895,-45061,-28586,-28562,-24366,-22732,-15833,-11458,-2332')
	mod:AddData( 'Alchemy', L['Mana'],                           '-58868,-53839,-53837,-38961,-33733,-28555,-17580,-17553,-11448,-3452,-3173,-2331')
	mod:AddData( 'Alchemy', L['Miscellaneous'],                  '-62409,-60893,-60405,-60403,-60396,-53812,-47050,-47049,-47048,-47046,-38070,-24266,-17632,-17551,-11473,-11459,-11456,-11451,-7837,-7836,-3454,-3449')
	mod:AddData( 'Alchemy', L['Potion'],                         '-54222,-54221,-53905,-28579,-28565,-28564,-28563,-28554,-28550,-28546,-24367,-17634,-17572,-17570,-17552,-11464,-11453,-11452,-7841,-6624,-6618,-6617,-4942,-3448,-3175,-3174,-3172,-2335')
	mod:AddData( 'Alchemy', L['Protection'],                     '-53942,-53939,-53938,-53937,-53936,-41503,-41502,-41501,-41500,-41458,-28577,-28576,-28575,-28573,-28572,-28571,-17578,-17577,-17576,-17575,-17574,-7259,-7258,-7257,-7256,-7255')
	mod:AddData( 'Alchemy', L['Transmute'],                      '-66664,-66663,-66662,-66660,-66659,-66658,-60350,-57427,-57425,-53784,-53783,-53782,-53781,-53780,-53779,-53777,-53776,-53775,-53774,-53773,-53771,-32766,-32765,-29688,-28585,-28584,-28583,-28582,-28581,-28580,-28569,-28568,-28567,-28566,-25146,-17566,-17565,-17564,-17563,-17562,-17561,-17560,-17559,-17187,-11480,-11479')
end)

-- Producer.Position.Blacksmithing
mod:RegisterSelection( 'Blacksmithing', function()
	mod:AddData( 'Blacksmithing', L['Dagger'],                   '-85531,-63182,-56234,-55181,-55179,-29699,-29698,-29569,-23638,-16995,-15973,-15972,-10013,-8880,-6517,-3491,-3295')
	mod:AddData( 'Blacksmithing', L['Enchanting'],               '-55732,-32657,-32656,-32655,-20201,-14380,-14379,-7818')
	mod:AddData( 'Blacksmithing', L['Item Enhancements'],        '-62202,-56357,-55839,-55656,-55641,-55628,-42688,-34608,-34607,-32285,-32284,-29729,-29728,-29657,-29656,-29654,-22757,-16651,-16641,-16640,-9964,-9939,-9921,-9918,-7224,-7222,-7221,-3117,-3116,-3115,-2674,-2665,-2660')
	mod:AddData( 'Blacksmithing', L['Metal & Stone'],            '-16639,-9920,-3337,-3326,-3320')
	mod:AddData( 'Blacksmithing', L['Miscellaneous'],            '-59406,-59405,-19669,-19668,-19667,-19666,-11454,-8768')
	mod:AddData( 'Blacksmithing', L['One-Hand'],                 '-59442,-56280,-55371,-55370,-55204,-55201,-55200,-55184,-55183,-55182,-55177,-43549,-36262,-36260,-36258,-36136,-36134,-36131,-36128,-36126,-36125,-34546,-34545,-34542,-34541,-34537,-34535,-29700,-29696,-29694,-29692,-29571,-29558,-29557,-27832,-27830,-23652,-23650,-21913,-20897,-20890,-16993,-16992,-16991,-16984,-16983,-16978,-16970,-16969,-10009,-10007,-10005,-10003,-10001,-9997,-9995,-9993,-6518,-3493,-3492,-3297,-3296,-3294,-2742,-2741,-2740,-2739,-2738,-2737')
	mod:AddData( 'Blacksmithing', L['Polearms'],                 '-23639,-10011')
	mod:AddData( 'Blacksmithing', L['Slot Belt'],                '-63191,-63189,-63187,-61009,-59436,-56551,-55307,-54946,-54551,-52568,-40036,-36390,-36389,-29628,-29608,-29547,-28463,-27588,-27585,-23632,-23628,-20872,-16647,-16645,-16643,-2666,-2661')
	mod:AddData( 'Blacksmithing', L['Slot Boots'],               '-70568,-70566,-70563,-63192,-63190,-63188,-61010,-56552,-55377,-55376,-55375,-55308,-55057,-54918,-54552,-52569,-40033,-36392,-36391,-29630,-29611,-29548,-24399,-23629,-16665,-16657,-16656,-16652,-9979,-9968,-9818,-7817,-3515,-3513,-3334,-3331,-3319')
	mod:AddData( 'Blacksmithing', L['Slot Bracers'],             '-67135,-67133,-67131,-67096,-67094,-67092,-59438,-56549,-55834,-55305,-55298,-55017,-54948,-41134,-41132,-40034,-29672,-29671,-29669,-29614,-29603,-29553,-28244,-20874,-16649,-16644,-9937,-7223,-3501,-2672,-2664,-2663')
	mod:AddData( 'Blacksmithing', L['Slot Chest'],               '-67134,-67132,-67130,-67095,-67093,-67091,-61008,-56555,-55311,-55186,-55058,-54981,-54944,-54553,-52570,-46144,-46142,-38477,-38473,-36257,-36256,-36130,-36129,-34534,-34533,-34530,-34529,-29649,-29645,-29617,-29610,-29606,-29556,-29550,-28461,-28242,-27590,-27587,-24914,-24139,-24136,-16746,-16745,-16731,-16667,-16663,-16650,-16648,-16642,-15296,-15293,-12260,-9974,-9972,-9959,-9916,-9813,-8367,-3511,-3508,-3321,-2675,-2673,-2670,-2667')
	mod:AddData( 'Blacksmithing', L['Slot Gloves'],              '-56553,-55835,-55309,-55301,-55300,-55056,-55015,-54945,-46141,-46140,-29662,-29658,-29648,-29642,-29622,-29619,-29616,-29605,-29552,-29545,-28462,-28243,-27589,-24912,-24138,-23637,-23633,-16741,-16661,-16655,-16654,-11643,-9954,-9950,-9928,-9820,-3336,-3333,-3325,-3323')
	mod:AddData( 'Blacksmithing', L['Slot Head'],                '-59441,-56556,-55374,-55373,-55372,-55312,-55302,-54979,-54949,-54917,-54555,-52571,-38479,-38476,-29668,-29664,-29663,-29643,-29621,-29615,-29551,-24913,-23636,-16742,-16729,-16728,-16726,-16724,-16659,-16658,-16653,-9980,-9970,-9961,-9935,-9814,-3503,-3502')
	mod:AddData( 'Blacksmithing', L['Slot Pants'],               '-70567,-70565,-70562,-56554,-55310,-55304,-55303,-55187,-55055,-54980,-54947,-54554,-52567,-40035,-38478,-38475,-36124,-36122,-29629,-29620,-29613,-29549,-27829,-24140,-20876,-16744,-16732,-16730,-16725,-16662,-12259,-9957,-9945,-9933,-9931,-3507,-3506,-3324,-2668,-2662')
	mod:AddData( 'Blacksmithing', L['Slot Shield'],              '-56400,-55014,-55013,-54557,-54550,-27586')
	mod:AddData( 'Blacksmithing', L['Slot Shoulders'],           '-59440,-56550,-55306,-54978,-54941,-54556,-52572,-42662,-41135,-41133,-24141,-24137,-20873,-16664,-16660,-16646,-15295,-9966,-9952,-9926,-9811,-3505,-3504,-3330,-3328')
	mod:AddData( 'Blacksmithing', L['Thrown'],                   '-55206,-55202,-34983,-34982,-34981,-34979')
	mod:AddData( 'Blacksmithing', L['Two-Hand'],                 '-55369,-55203,-55185,-55174,-43846,-36263,-36261,-36259,-36137,-36135,-36133,-34548,-34547,-34544,-34543,-34540,-34538,-29697,-29695,-29693,-29568,-29566,-29565,-23653,-21161,-16994,-16990,-16988,-16985,-16973,-16971,-15294,-15292,-10015,-9987,-9986,-9985,-9983,-7408,-3500,-3498,-3497,-3496,-3495,-3494,-3293,-3292')
end)

-- Producer.Position.Enchanting
mod:RegisterSelection( 'Enchanting', function()
	mod:AddData( 'Enchanting', L['Enchanting'],                  '-60619,-45765,-42615,-42613,-32667,-32665,-32664,-28022,-20051,-13702,-13628,-7795,-7421')
	mod:AddData( 'Enchanting', L['Item Enhancements'],           '-28019,-28016,-25130,-25129,-25128,-25127,-25126,-25125,-25124')
	mod:AddData( 'Enchanting', L['Miscellaneous'],               '-69412,-28028,-28027,-17181,-17180,-15596')
	mod:AddData( 'Enchanting', L['Slot Boots'],                  '-63746,-60763,-60623,-60606,-47901,-44589,-44584,-44528,-44508,-34008,-34007,-27954,-27951,-27950,-27948,-20024,-20023,-20020,-13935,-13890,-13836,-13687,-13644,-13637,-7867,-7863')
	mod:AddData( 'Enchanting', L['Slot Bracers'],                '-62256,-60767,-60616,-44635,-44616,-44598,-44593,-44575,-44555,-34002,-34001,-27917,-27914,-27913,-27911,-27906,-27905,-27899,-23802,-23801,-20011,-20010,-20009,-20008,-13945,-13939,-13931,-13846,-13822,-13661,-13648,-13646,-13642,-13622,-13536,-13501,-7859,-7782,-7779,-7766,-7457,-7428,-7418')
	mod:AddData( 'Enchanting', L['Slot Chest'],                  '-60692,-47900,-47766,-46594,-44623,-44588,-44509,-44492,-33992,-33991,-33990,-27960,-27958,-27957,-20028,-20026,-20025,-13941,-13917,-13858,-13700,-13663,-13640,-13626,-13607,-13538,-7857,-7776,-7748,-7443,-7426,-7420')
	mod:AddData( 'Enchanting', L['Slot Cloak'],                  '-60663,-60609,-47899,-47898,-47672,-47051,-44631,-44596,-44591,-44590,-44582,-44556,-44500,-44494,-44483,-34006,-34005,-34004,-34003,-27962,-27961,-25086,-25084,-25083,-25082,-25081,-20015,-20014,-13882,-13794,-13746,-13657,-13635,-13522,-13421,-13419,-7861,-7771,-7454')
	mod:AddData( 'Enchanting', L['Slot Finger'],                 '-59636,-44645,-44636,-27927,-27926,-27924,-27920')
	mod:AddData( 'Enchanting', L['Slot Gloves'],                 '-71692,-60668,-44625,-44592,-44529,-44513,-44506,-44488,-44484,-33999,-33997,-33996,-33995,-33994,-33993,-25080,-25079,-25078,-25074,-25073,-25072,-20013,-20012,-13948,-13947,-13887,-13868,-13841,-13815,-13698,-13620,-13617,-13612')
	mod:AddData( 'Enchanting', L['Slot Shield'],                 '-60653,-44489,-44383,-34009,-27947,-27946,-27945,-27944,-20017,-20016,-13933,-13905,-13817,-13689,-13659,-13631,-13485,-13464,-13378')
	mod:AddData( 'Enchanting', L['Slot Wands'],                  '-14810,-14809,-14807,-14293')
	mod:AddData( 'Enchanting', L['Two-Hand'],                    '-62959,-62948,-60691,-44630,-44595,-27977,-27971,-27837,-20036,-20035,-20030,-13937,-13695,-13529,-13380,-7793,-7745')
	mod:AddData( 'Enchanting', L['Weapon'],                      '-64579,-64441,-60714,-60707,-60621,-59625,-59621,-59619,-46578,-44633,-44629,-44621,-44576,-44524,-44510,-42974,-42620,-34010,-28004,-28003,-27984,-27982,-27981,-27975,-27972,-27968,-27967,-23804,-23803,-23800,-23799,-22750,-22749,-21931,-20034,-20033,-20032,-20031,-20029,-13943,-13915,-13898,-13693,-13655,-13653,-13503,-7788,-7786')
end)

-- Producer.Position.Engineering
mod:RegisterSelection( 'Engineering', function()
	mod:AddData( 'Engineering', L['Bags'],                       '-30349,-30348')
	mod:AddData( 'Engineering', L['Devices'],                    '-67326,-56477,-56476,-56472,-56462,-56461,-56459,-30548,-23129,-23078,-21940,-19567,-15255,-9273,-6458,-3960,-3959,-3957,-3944')
	mod:AddData( 'Engineering', L['Explosives'],                 '-56514,-56468,-56460,-39973,-30560,-30558,-30547,-30311,-30310,-23080,-23070,-23069,-19831,-19799,-19790,-12760,-12754,-12619,-12603,-12586,-8339,-8243,-3972,-3967,-3962,-3950,-3946,-3941,-3937,-3933,-3931,-3923,-3919')
	mod:AddData( 'Engineering', L['Guns'],                       '-60874,-56479,-54353,-41307,-30315,-30314,-30313,-30312,-22795,-19833,-19796,-19792,-12614,-12595,-3954,-3949,-3939,-3936,-3925')
	mod:AddData( 'Engineering', L['Holiday'],                    '-26443,-26442')
	mod:AddData( 'Engineering', L['Item Enhancements'],          '-61471,-56478,-56470,-30334,-30332,-30329,-22793,-12620,-12597,-9271,-3979,-3978,-3977')
	mod:AddData( 'Engineering', L['Miscellaneous'],              '-67920,-67839,-63770,-63765,-60867,-60866,-55016,-55002,-54999,-54998,-54793,-54736,-44157,-44155,-43676,-36955,-36954,-32814,-30344,-30341,-23507,-23489,-23486,-23068,-23067,-23066,-12895,-12715,-8334,-7430')
	mod:AddData( 'Engineering', L['Parts'],                      '-56471,-56464,-56349,-53281,-39971,-39895,-30309,-30308,-30307,-30306,-30305,-30304,-30303,-23071,-19815,-19795,-19791,-19788,-12599,-12591,-12590,-12589,-12585,-12584,-3973,-3961,-3958,-3953,-3945,-3942,-3938,-3929,-3926,-3924,-3922,-3918')
	mod:AddData( 'Engineering', L['Pets'],                       '-68067,-56463,-55252,-44391,-30568,-30337,-28327,-26428,-26427,-26426,-26425,-26424,-26423,-26422,-26421,-26420,-26418,-26417,-26416,-26011,-23096,-22704,-19814,-19793,-15633,-15628,-3968,-3965,-3963,-3955,-3932,-3928')
	mod:AddData( 'Engineering', L['Potion'],                     '-30552,-30551')
	mod:AddData( 'Engineering', L['Slot Belt'],                  '-30570,-12903')
	mod:AddData( 'Engineering', L['Slot Boots'],                 '-46697,-30556,-12905,-8895')
	mod:AddData( 'Engineering', L['Slot Cloak'],                 '-12616')
	mod:AddData( 'Engineering', L['Slot Head'],                  '-62271,-61483,-61482,-61481,-56574,-56487,-56486,-56484,-56483,-56481,-56480,-56473,-56465,-46116,-46115,-46114,-46113,-46112,-46111,-46110,-46109,-46108,-46107,-46106,-41321,-41320,-41319,-41318,-41317,-41316,-41315,-41314,-41312,-41311,-40274,-30575,-30574,-30566,-30565,-30325,-30318,-30317,-30316,-24357,-24356,-19825,-19794,-12907,-12897,-12758,-12718,-12717,-12622,-12618,-12617,-12615,-12607,-12594,-12587,-3966,-3956,-3940,-3934')
	mod:AddData( 'Engineering', L['Slot Neck'],                  '-19819')
	mod:AddData( 'Engineering', L['Slot Shield'],                '-22797')
	mod:AddData( 'Engineering', L['Slot Trinket'],               '-63750,-56469,-56467,-56466,-30569,-30563,-23082,-23081,-23079,-23077,-19830,-13240,-12908,-12906,-12902,-12899,-12759,-12755,-12716,-12624,-9269,-3971,-3969,-3952')
end)

-- Producer.Position.Jewelcrafting
mod:RegisterSelection( 'Jewelcrafting', function()
	mod:AddData( 'Jewelcrafting', L['Gem Blue'],                 '-73230,-73229,-73228,-73227,-66501,-66499,-66498,-66497,-56088,-56087,-56086,-56084,-53958,-53955,-53954,-53952,-53943,-53941,-53934,-53854,-42590,-39721,-39718,-39716,-39715,-31149,-31098,-31095,-31092,-28955,-28953,-28950,-28948')
	mod:AddData( 'Jewelcrafting', L['Gem Green'],                '-73281,-73280,-73279,-73278,-73277,-73276,-73275,-73274,-73273,-73272,-66445,-66443,-66442,-66441,-66439,-66435,-66434,-66431,-66429,-66428,-66338,-54014,-54012,-54011,-54009,-54005,-54003,-54001,-54000,-53998,-53997,-53996,-53933,-53932,-53925,-53924,-53923,-53922,-53920,-53919,-53918,-53917,-53870,-47054,-47053,-46803,-46405,-43493,-39742,-39740,-39739,-31113,-31111,-28918,-28917,-28916')
	mod:AddData( 'Jewelcrafting', L['Gem Meta'],                 '-55407,-55405,-55404,-55403,-55402,-55401,-55400,-55399,-55398,-55397,-55396,-55395,-55394,-55393,-55392,-55390,-55389,-55388,-55387,-55386,-55384,-46601,-46597,-44794,-39963,-39961,-32874,-32873,-32872,-32871,-32870,-32869,-32868,-32867,-32866')
	mod:AddData( 'Jewelcrafting', L['Gem Orange'],               '-73271,-73270,-73269,-73268,-73267,-73266,-73265,-73264,-73263,-73262,-73260,-73259,-73258,-66587,-66586,-66585,-66584,-66583,-66582,-66581,-66579,-66574,-66571,-66569,-66568,-66567,-54023,-54019,-53993,-53991,-53988,-53987,-53986,-53984,-53981,-53978,-53977,-53975,-53893,-53891,-53885,-53884,-53882,-53880,-53879,-53877,-53876,-53875,-53874,-53872,-47055,-39738,-39734,-39733,-39471,-39467,-31108,-31107,-31106,-28915,-28912,-28910')
	mod:AddData( 'Jewelcrafting', L['Gem Purple'],               '-73250,-73249,-73248,-73247,-73246,-73245,-73244,-73243,-73242,-73241,-73240,-66576,-66573,-66572,-66570,-66562,-66561,-66560,-66557,-66556,-66554,-66432,-53994,-53985,-53980,-53976,-53974,-53972,-53968,-53966,-53965,-53963,-53962,-53921,-53894,-53892,-53883,-53873,-53871,-53869,-53865,-53861,-53860,-53859,-41429,-41420,-39741,-39737,-39736,-39731,-39728,-39727,-39470,-39466,-31112,-31109,-31104,-31103,-31102,-28936,-28933,-28927,-28925,-28914')
	mod:AddData( 'Jewelcrafting', L['Gem Red'],                  '-73226,-73225,-73224,-73223,-73222,-66453,-66450,-66448,-66447,-66446,-56081,-56056,-56053,-56052,-56049,-54017,-53951,-53949,-53946,-53945,-53852,-53844,-53832,-53831,-53830,-42589,-42588,-42558,-39714,-39711,-39706,-39705,-34590,-31091,-31088,-31085,-31084,-28905,-28903')
	mod:AddData( 'Jewelcrafting', L['Gem Yellow'],               '-73239,-73234,-73233,-73232,-73231,-66506,-66505,-66502,-66452,-56085,-56083,-56079,-56055,-53961,-53960,-53957,-53948,-53857,-53856,-53845,-53843,-47056,-46403,-42593,-42592,-42591,-39724,-39720,-39713,-31101,-31097,-31090,-28947,-28944')
	mod:AddData( 'Jewelcrafting', L['Miscellaneous'],            '-62242,-56208,-56206,-56205,-47280,-38068,-32809,-32808,-32807,-32801,-32259,-26880,-25615,-25278,-25255')
	mod:AddData( 'Jewelcrafting', L['One-Hand'],                 '-25612')
	mod:AddData( 'Jewelcrafting', L['Prismatic'],                '-68253,-62941,-56531,-56530')
	mod:AddData( 'Jewelcrafting', L['Slot Finger'],              '-72793,-64728,-64727,-58954,-58507,-58492,-58150,-58149,-58148,-58147,-58146,-58145,-58144,-58143,-56498,-56497,-56496,-56197,-56194,-56193,-46124,-46123,-46122,-41415,-41414,-38504,-38503,-37855,-37818,-36526,-36525,-36524,-34961,-34960,-34959,-34955,-32179,-31061,-31060,-31058,-31057,-31056,-31055,-31054,-31053,-31052,-31050,-31049,-31048,-26926,-26925,-26916,-26910,-26907,-26903,-26902,-26896,-26887,-26885,-26874,-25621,-25620,-25619,-25617,-25613,-25493,-25490,-25323,-25318,-25317,-25305,-25287,-25284,-25283,-25280')
	mod:AddData( 'Jewelcrafting', L['Slot Head'],                '-41418,-31078,-31077,-26920,-26906,-26878,-25321')
	mod:AddData( 'Jewelcrafting', L['Slot Neck'],                '-64726,-64725,-63743,-58142,-58141,-56501,-56500,-56499,-56196,-56195,-46127,-46126,-46125,-40514,-38175,-36523,-32178,-31076,-31072,-31071,-31070,-31068,-31067,-31066,-31065,-31064,-31063,-31062,-31051,-26928,-26927,-26918,-26915,-26911,-26908,-26897,-26883,-26876,-25622,-25618,-25610,-25498,-25339,-25320')
	mod:AddData( 'Jewelcrafting', L['Slot Trinket'],             '-59759,-56203,-56202,-56201,-56199,-46779,-46778,-46777,-46776,-46775,-31083,-31082,-31081,-31080,-31079,-26914,-26912,-26909,-26900,-26882,-26881,-26875,-26873,-26872')
end)

-- Producer.Position.Leatherworking
mod:RegisterSelection( 'Leatherworking', function()
	mod:AddData( 'Leatherworking', L['Bags'],                    '-60643,-50971,-50970,-45117,-45100,-44359,-35530,-5244')
	mod:AddData( 'Leatherworking', L['Coining'],                 '-60584,-60583,-57701,-57699,-57696,-57694,-57692,-57691,-57690,-57683')
	mod:AddData( 'Leatherworking', L['Item Enhancements'],       '-62448,-50967,-50966,-50965,-50964,-50963,-50962,-44970,-44770,-35557,-35555,-35554,-35549,-35524,-35523,-35522,-35521,-35520,-32482,-32458,-32457,-32456,-22727,-19058,-10487,-3780,-2165,-2152')
	mod:AddData( 'Leatherworking', L['Leather'],                 '-64661,-50936,-32455,-32454,-22331,-20650,-20649,-20648,-19047,-10482,-3818,-3817,-3816,-2881')
	mod:AddData( 'Leatherworking', L['Miscellaneous'],           '-69388,-69386,-35544,-35543,-35540,-35539,-35538,-32461,-23190,-22815')
	mod:AddData( 'Leatherworking', L['Slot Belt'],               '-63200,-63198,-63196,-63194,-61000,-60997,-60759,-60750,-60734,-60723,-60706,-60658,-50961,-50955,-50949,-50943,-40006,-40002,-36353,-36352,-36351,-36349,-35590,-35587,-35582,-35576,-35537,-35531,-32501,-32498,-28474,-23710,-23709,-23707,-23703,-22921,-19092,-19072,-19070,-9206,-7955,-6702,-4097,-3779,-3778,-3775,-3774,-3767,-3766,-3763,-3753')
	mod:AddData( 'Leatherworking', L['Slot Boots'],              '-70561,-70559,-70557,-70555,-63201,-63199,-63197,-63195,-62176,-61002,-60998,-60761,-60757,-60752,-60737,-60727,-60712,-60666,-60630,-60620,-60605,-51568,-50960,-50954,-50948,-50942,-44953,-40003,-39997,-36359,-36358,-36357,-36355,-35567,-35536,-35534,-35528,-35527,-32503,-32497,-32493,-32478,-32472,-32469,-32463,-28473,-23705,-22922,-20855,-20853,-19066,-19063,-10566,-10558,-10554,-9208,-9207,-2167,-2161,-2158,-2149')
	mod:AddData( 'Leatherworking', L['Slot Bracers'],            '-67143,-67141,-67139,-67137,-67087,-67085,-67083,-67081,-60755,-60748,-60731,-60720,-60704,-60652,-60622,-60607,-60599,-52733,-51571,-41163,-41161,-41158,-41156,-40004,-35591,-35588,-35584,-35577,-32499,-28224,-28221,-24849,-24846,-24123,-23399,-22923,-19065,-19052,-19048,-10533,-10518,-9202,-9201,-9065,-9059,-6705,-3777,-3776')
	mod:AddData( 'Leatherworking', L['Slot Chest'],              '-67142,-67140,-67138,-67136,-67086,-67084,-67082,-67080,-60999,-60996,-60756,-60747,-60730,-60718,-60703,-60669,-60649,-60629,-60613,-60604,-51570,-50956,-50950,-50944,-50938,-46139,-46138,-46137,-46136,-42731,-36079,-36078,-36077,-35589,-35585,-35580,-35575,-35574,-32500,-32495,-32481,-32473,-32468,-32465,-28222,-28219,-24940,-24851,-24848,-24703,-24124,-24121,-19104,-19102,-19098,-19095,-19086,-19085,-19081,-19079,-19077,-19076,-19068,-19054,-19051,-19050,-10650,-10647,-10544,-10525,-10520,-10511,-10499,-9197,-9196,-8322,-7126,-6704,-6703,-6661,-4096,-3773,-3772,-3762,-3761,-2169,-2166,-2163,-2160')
	mod:AddData( 'Leatherworking', L['Slot Cloak'],              '-60640,-60637,-60631,-55199,-42546,-22928,-22927,-22926,-19093,-10574,-10562,-9198,-9070,-9058,-7953,-7153,-3760,-2168,-2162,-2159')
	mod:AddData( 'Leatherworking', L['Slot Gloves'],             '-60749,-60732,-60721,-60705,-60665,-50959,-50953,-50947,-50941,-46135,-46134,-46133,-46132,-35573,-35568,-35563,-35562,-35559,-35533,-35526,-32490,-32479,-32470,-32467,-32462,-28223,-28220,-26279,-24850,-24847,-24655,-24122,-23708,-23704,-22711,-21943,-19087,-19084,-19064,-19055,-19053,-19049,-10630,-10619,-10542,-10509,-9149,-9148,-9146,-9145,-9074,-9072,-7954,-7156,-3771,-3770,-3765,-3764,-3756,-2164')
	mod:AddData( 'Leatherworking', L['Slot Head'],               '-60743,-60728,-60715,-60697,-60655,-60624,-60608,-60600,-51572,-35572,-35564,-35561,-35560,-35558,-32489,-32488,-32487,-32485,-28472,-20854,-19088,-19082,-19071,-10632,-10621,-10570,-10552,-10546,-10531,-10507,-10490')
	mod:AddData( 'Leatherworking', L['Slot Pants'],              '-70560,-70558,-70556,-70554,-62177,-60760,-60754,-60751,-60735,-60725,-60711,-60660,-60627,-60611,-60601,-51569,-50957,-50951,-50945,-50939,-40005,-40001,-36076,-36075,-36074,-35535,-35532,-35529,-35525,-32502,-32496,-32494,-32480,-32471,-32466,-32464,-24654,-19107,-19097,-19091,-19083,-19080,-19078,-19075,-19074,-19073,-19067,-19060,-19059,-10572,-10568,-10560,-10556,-10548,-9195,-9068,-9064,-7149,-7147,-7135,-7133,-3759,-2153')
	mod:AddData( 'Leatherworking', L['Slot Shoulders'],          '-60758,-60746,-60729,-60716,-60702,-60671,-60651,-50958,-50952,-50946,-50940,-41164,-41162,-41160,-41157,-24125,-23706,-19103,-19101,-19100,-19094,-19090,-19089,-19062,-19061,-10564,-10529,-10516,-9147,-7151,-3769,-3768')
end)

-- Producer.Position.Tailoring
mod:RegisterSelection( 'Tailoring', function()
	mod:AddData( 'Tailoring', L['Bags'],                         '-63924,-56007,-56006,-56005,-56004,-50194,-31459,-27725,-27724,-27660,-27659,-27658,-26763,-26759,-26755,-26749,-26746,-26087,-26086,-26085,-18455,-18445,-18405,-12079,-12065,-6695,-6693,-6688,-6686,-3813,-3758,-3757,-3755')
	mod:AddData( 'Tailoring', L['Cloth'],                        '-56003,-56002,-56001,-55900,-55899,-36686,-31373,-26751,-26750,-26747,-26745,-18560,-18401,-3865,-3839,-2964,-2963')
	mod:AddData( 'Tailoring', L['Item Enhancements'],            '-56011,-56010,-56009,-56008,-31433,-31432,-31431,-31430')
	mod:AddData( 'Tailoring', L['Miscellaneous'],                '-75597,-60971,-60969,-56039,-56034,-55898,-55777,-55769,-55642,-31460,-22813')
	mod:AddData( 'Tailoring', L['Slot Belt'],                    '-63205,-63203,-60990,-59582,-56020,-55914,-55908,-40024,-36667,-36316,-36315,-31444,-31443,-31442,-26765,-26760,-26752,-24902,-23662,-22866,-18410,-18402,-8797,-8776,-8772,-8766,-3864,-3863')
	mod:AddData( 'Tailoring', L['Slot Boots'],                   '-70553,-70551,-63206,-63204,-60994,-59585,-56023,-56019,-55924,-55906,-49677,-40020,-36668,-36318,-36317,-26783,-26776,-26772,-26757,-24903,-24093,-23664,-19435,-18437,-18423,-12088,-12082,-12073,-12045,-3860,-3856,-3855,-3847,-3845,-2401,-2386')
	mod:AddData( 'Tailoring', L['Slot Bracers'],                 '-67147,-67145,-67079,-67065,-59583,-56031,-55943,-55920,-55913,-41207,-41205,-40021,-37882,-31437,-31435,-31434,-28209,-26782,-26764,-22759,-3841')
	mod:AddData( 'Tailoring', L['Slot Chest'],                   '-67146,-67144,-67066,-67064,-60993,-59587,-56028,-56026,-56024,-55941,-55921,-55911,-55903,-50644,-46131,-46130,-44958,-44950,-37884,-36665,-28480,-28207,-26784,-26781,-26778,-26777,-26774,-26773,-26762,-26758,-26754,-26407,-26403,-24091,-23666,-22902,-18458,-18457,-18456,-18451,-18447,-18446,-18436,-18416,-18414,-18408,-18407,-18406,-18404,-18403,-12093,-12091,-12077,-12070,-12069,-12056,-12055,-12050,-12048,-8802,-8791,-8784,-8770,-8764,-8467,-8465,-7643,-7639,-7633,-7630,-7629,-7624,-7623,-6692,-6690,-3859,-2403,-2399,-2395,-2389,-2385')
	mod:AddData( 'Tailoring', L['Slot Cloak'],                   '-64730,-64729,-63742,-56017,-56016,-56015,-56014,-40060,-37873,-31450,-31449,-31448,-31441,-31440,-31438,-28210,-28208,-22870,-18422,-18420,-18418,-18409,-8789,-8786,-6521,-3862,-3861,-3844,-2402,-2397,-2387')
	mod:AddData( 'Tailoring', L['Slot Gloves'],                  '-59586,-56029,-56027,-56025,-56022,-55922,-55904,-46129,-46128,-37883,-28205,-26779,-26770,-26753,-22869,-22868,-22867,-20849,-18454,-18417,-18415,-18413,-18412,-18411,-12071,-12067,-12066,-12053,-8804,-8782,-8780,-3868,-3854,-3852,-3843,-3840')
	mod:AddData( 'Tailoring', L['Slot Head'],                    '-59589,-56018,-55919,-55907,-31456,-31455,-31454,-28481,-18452,-18450,-18444,-18442,-12092,-12086,-12084,-12081,-12072,-12059,-8762,-8760,-3858,-3857')
	mod:AddData( 'Tailoring', L['Slot Pants'],                   '-70552,-70550,-59588,-56030,-56021,-55925,-55901,-50647,-40023,-31453,-31452,-31451,-26775,-26771,-24901,-24092,-23667,-18441,-18440,-18439,-18438,-18434,-18424,-18421,-18419,-12089,-12060,-12052,-12049,-12047,-12046,-12044,-8799,-8758,-3914,-3851,-3850,-3842')
	mod:AddData( 'Tailoring', L['Slot Shirt'],                   '-56000,-55999,-55998,-55997,-55996,-55995,-55994,-55993,-21945,-12085,-12080,-12075,-12064,-12061,-8489,-8483,-7893,-7892,-3915,-3873,-3872,-3871,-3870,-3869,-3866,-2406,-2396,-2394,-2393,-2392')
	mod:AddData( 'Tailoring', L['Slot Shoulders'],               '-59584,-55923,-55910,-55902,-41208,-41206,-28482,-26780,-26761,-26756,-23665,-23663,-20848,-18453,-18449,-18448,-12078,-12076,-12074,-8795,-8793,-8774,-3849,-3848')
end)
